#include <iostream>
#include <string>

using namespace std;

int main()
{
    string karakteri;
    char c1, c2;
    int a1, a2;
    cin >> karakteri >> a1 >> a2;
    c1 = karakteri[0];
    c2 = karakteri[1];
    if(min(a1, a2) + 1 < max(a1, a2)){
        cout << "nemoguce";
    }
    else{
        if(a1 >= a2){
            for(int i = 0; i < a1; i ++){
                cout << c1;
                if(i < a2){
                    cout << c2;
                }
            }
        }
        else{
            for(int i = 0; i < a2; i ++){
                cout << c2;
                if(i < a1){
                    cout << c1;
                }
            }
        }
    }
    return 0;
}